##### Views

- Page
- Discussion
- View source
- History

# love.graphics.newImageFont

Available since LÖVE 0.2.0
This function is not supported in earlier versions.

Creates a new Font by loading a specifically formatted image. There can be up to 256 glyphs.

| This function can be slow if it is called repeatedly, such as from love.update or love.draw. If you need to use a specific resource often, create it once and store it somewhere it can be reused! |

| In versions prior to 0.9.0, LÖVE expects ISO 8859-1 encoding for the glyphs string. |

## Function

### Synopsis

font = love.graphics.newImageFont( filename, glyphs )

### Arguments

`string filename`
  The filepath to the image file.
`string glyphs`
  A string of the characters in the image in order from left to right.

### Returns

`Font font`
  A Font object which can be used to draw text on screen.

## Function

### Synopsis

font = love.graphics.newImageFont( data, glyphs )

### Arguments

`Data data`
  The encoded data to decode into image data.
`string glyphs`
  A string of the characters in the image in order from left to right.

### Returns

`Font font`
  A Font object which can be used to draw text on screen.

## Function

### Synopsis

font = love.graphics.newImageFont( imageData, glyphs )

### Arguments

`ImageData imageData`
  The ImageData object to create the font from.
`string glyphs`
  A string of the characters in the image in order from left to right.

### Returns

`Font font`
  A Font object which can be used to draw text on screen.

## Function

### Synopsis

font = love.graphics.newImageFont( image, glyphs )

### Arguments

`Image image`
  The Image object to create the font from.
`string glyphs`
  A string of the characters in the image in order from left to right.

### Returns

`Font font`
  A Font object which can be used to draw text on screen.

## See Also

- love.graphics
- Font
- Image Font Format

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.graphics.newImageFont"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties